// content.js

window.addEventListener('message', (event) => {
    if (!event.data || typeof event.data !== 'object') return;

    const { action, Pebageur } = event.data;

    if (action === 'setdebeug') {
        console.log("Activer debeug demandé:", Pebageur);
        chrome.runtime.sendMessage({ action: 'setdebeug', Pebageur }, (response) => {
            console.log("Réponse de background.js: on");
        });
    } else if (action === 'cleardegeug') {
        console.log("Désactivation du Pebageur demandée.");
        chrome.runtime.sendMessage({ action: 'cleardegeug' }, (response) => {
            console.log("Réponse de background.js: off");
        });
    }
});
