document.addEventListener('DOMContentLoaded', () => {Proxy
    const disableDebageurButton = document.getElementById('disableDebageurButton');
    const Debageur = document.getElementById('Debageur');
  
    // Vérifie l'état actuel du proxy en interrogeant le background script
    chrome.runtime.sendMessage({ action: 'checkDebageur' }, (response) => {
      if (response.isProxyActive) {
        Debageur.textContent = 'Activé';
      } else {
        Debageur.textContent = 'Désactivé';
      }
    });
  
    // Gère le clic sur le bouton pour désactiver le proxy
    disableDebageurButton.addEventListener('click', () => {
      chrome.runtime.sendMessage({ action: 'cleardegeug' }, (response) => {
        if (response.status === 'success') {
          Debageur.textContent = 'Désactivé';
        } else {
          console.error('Erreur lors de la désactivation du proxy', response.message);
        }
      });
    });
  });
  